<!DOCTYPE html>
<html lang="en">
<head>
  <title>Task 37.25 Show simple modal</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>
<body>

<div class="container">
  <h2>Hiện modal bằng Javascript</h2>
  <!-- Trigger the modal with a button -->
  <input id = "inp-modal-message" placeholder=" ...điền lời chào vào đây..." class = "form-control"> 
  <button type="button" class="btn btn-info btn-lg" id="btn-show-modal-1">Hiện Modal 1</button>
  <button type="button" class="btn btn-primary btn-lg" id="btn-show-modal-2">Hiện Modal 2</button>
  <!-- Modal -->
  <div class="modal fade" id="modal-1" role="dialog">
    <div class="modal-dialog">

      <!-- Modal content : nội dung modal -->
      <div class="modal-content">
        <div class="modal-header"> <!--phần nóc modal -->
          <h4 class="modal-title">Modal Header</h4>
        </div>
        <div class="modal-body"> <!--phần thân modal -->
          <p id = "p-text-modal" >Some text in the modal.</p>
        </div>
        <div class="modal-footer"> <!--phần chân modal -->
          <button class = "btn btn-info" id = "btn-close-modal"> Đóng modal </button> 
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>
    </div>
  </div>
  <!-- Modal 2 -->
  <div class="modal fade" id="modal-2" role="dialog">
    <div class="modal-dialog">

      <!-- Modal content : nội dung modal -->
      <div class="modal-content">
        <div class="modal-header"> <!--phần nóc modal -->
          <h4 class="modal-title">Modal Header 2</h4>
        </div>
        <div class="modal-body"> <!--phần thân modal -->
          <p id = "p-text-modal-2" >Some text in the modal.</p>
        </div>
        <div class="modal-footer"> <!--phần chân modal -->
          <button class = "btn btn-info" id = "btn-close-modal-2">Viết message ra console và đóng modal</button> 
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>
    </div>
  </div>
</div>

<script>
$(document).ready(function(){ 
  //gán sự kiện cho nút btn-show-modal-1
  $("#btn-show-modal-1").click(function(){   
    $("#p-text-modal").html( $("#inp-modal-message").val() );  //đọc giá trị ở inp-modal-message và gán vào <p> trên modal
    $("#modal-1").modal();
  });
  //gán sự kiện cho nút btn-close-modal
  $("#btn-close-modal").click(function(){   
    $("#modal-1").modal("hide");
  });  
  //gán sự kiện cho nút btn-show-modal-2
  $("#btn-show-modal-2").on("click", function(){
    onBtnShowModal2Click(); //hàm đọc giá trị input-message và gán giá trị vào thẻ <p> trên modal
    $("#modal-2").modal("show");
  })
  //gán sự kiện cho nút btn-close-modal-2
  $("#btn-close-modal-2").on("click", function(){
    onBtnCloseModal2Click()
  })
});
//hàm xử lý sự kiện nút close modal 2 được click (trên modal 2)
function onBtnCloseModal2Click(){
  var vValueP = $("#p-text-modal-2").html();
  console.log("message: " + vValueP);
  $("#modal-2").modal("hide");
}
//hàm xử lý sự kiện btn Show modal 2 được click
function onBtnShowModal2Click(){
  console.log("nút được ấn");
  loadDataInpToPModal();
}
//hàm đọc giá trị input-message và gán giá trị vào thẻ <p> trên modal
function loadDataInpToPModal(){
  var vValueInputMessage = $("#inp-modal-message").val();
  $("#p-text-modal-2").html(vValueInputMessage);
}
</script>

</body>
</html>